Skip to content
Newer
Older
100644 21 lines (15 sloc) 463 Bytes
623a217 @gotwarlost initial commit
gotwarlost authored
1 language: node_js
7d8be65 @gotwarlost commit to trigger travis
gotwarlost authored
2
623a217 @gotwarlost initial commit
gotwarlost authored
3 node_js:
44c33b5 @gotwarlost Add node v0.10 as test target
gotwarlost authored
4 - "0.8"
5 - "0.10"
c4ac22e @gotwarlost Add v0.11 build target
gotwarlost authored
6 - "0.11"
623a217 @gotwarlost initial commit
gotwarlost authored
7
1370bfe @gotwarlost Ignore gh-pages branch for build
gotwarlost authored
8 branches:
9 except:
10 - gh-pages
11
01c364a @gotwarlost use npm test --cover as travis build script
gotwarlost authored
12 script:
9f6f11d @gotwarlost Add coveralls support
gotwarlost authored
13 - npm test --cover
14
15 after_script:
31f8aba @gotwarlost Enable coveralls for node10 only
gotwarlost authored
16 - if [[ `node --version` == *v0.10* ]]; then cat ./build/coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js; fi
c971d10 @gotwarlost Allow tests to fail on 0.9 for now
gotwarlost authored
17
8085948 @gotwarlost Speed up tests, see if we can get 0.8 tests to work
gotwarlost authored
18 before_install:
01f60f0 @ryan-roemer Add per-file checks, configuration support, and CI fixes.
ryan-roemer authored
19 # Node v0.8 needs specific NPM version: https://github.com/npm/npm/issues/6246#issuecomment-57911124
20 - if [[ `node --version` == *v0.8* ]]; then npm install -g npm@1.4.28; fi
Something went wrong with that request. Please try again.